{{define "index.html"}}

{{template "header.html"}}

<div class="container">
  <h1>Federation Testsuite</h1>
  <h2>How to add your project to the list</h2>
  <p class="mb-0">Follow the <a href="https://feneas.git.feneas.org/federation/testsuite">instructions</a> and add your own image to the repository.</p>
  <p>Then authenticate your project againtst our integration service via <a class="btn btn-success" href="/auth/gitlab">GitLab</a> or <a class="btn btn-success" href="/auth/github">GitHub</a></p>
  <h3>Covered Projects</h3>
  <p>Following projects are covered by our <a href="https://git.feneas.org/feneas/federation/testsuite">continuous integration tests</a>:</p>
  <table class="table">
    <thead>
      <tr>
        <th scope="col">#</th>
        <th scope="col">Project</th>
        <th scope="col">Badge</th>
        <th scope="col">Repository</th>
      </tr>
    </thead>
    <tbody>
    {{range $i, $project := .}}
      <tr>
        <th scope="row">{{add $i 1}}</th>
        <td>{{$project.Name}}</td>
        <td>
          <a href="/images/stats/{{removeHTTP $project.FQDN}}/{{$project.Slug}}.svg">
            <img src="/images/stats/{{removeHTTP $project.FQDN}}/{{$project.Slug}}.svg" alt="Build Status">
          </a>
        </td>
        <td>
          <a href="{{$project.FQDN}}/{{$project.Slug}}">{{$project.Slug}}</a>
        </td>
      </tr>
    {{end}}
    </tbody>
  </table>
  <h3 class="mt-5">Statistics</h3>
  <p><img class="img-thumbnail" src="/images/stats/builds.png" title="Builds" /></p>
</div>

{{template "footer.html"}}

{{end}}
